Name: dvdisaster
Version: 0.70.6
Release: alt1

Summary: Additional error protection for CD/DVD media
License: GPLv2+
Group: File tools

URL: http://www.dvdisaster.com/
Source: http://downloads.sourceforge.net/dvdisaster/dvdisaster-%version.tar.bz2
Source1: dvdisaster.desktop
Patch1: dvdisaster-xdg-open.patch

# Automatically added by buildreq on Mon Mar 03 2008
BuildRequires: bzlib-devel libgtk+2-devel

%description
dvdisaster provides a margin of safety against data loss on CD and DVD media
caused by aging or scratches. It creates error correction data, which is used
to recover unreadable sectors if the disc becomes damaged at a later time.

%prep
%setup
%patch1 -p1

%build
./configure --prefix=/usr --docdir=%_docdir --with-nls=yes
%make_build

%install
install -pD -m755 dvdisaster %buildroot%_bindir/dvdisaster
pushd locale
LOCALEDIR=%buildroot/usr/share/locale
for i in ??; do
    install -d $LOCALEDIR/$i/LC_MESSAGES; \
    install $i/LC_MESSAGES/dvdisaster.mo $LOCALEDIR/$i/LC_MESSAGES; \
done
popd

install -pD -m644 contrib/dvdisaster16.png %buildroot%_miconsdir/dvdisaster.png
install -pD -m644 contrib/dvdisaster32.png %buildroot%_niconsdir/dvdisaster.png
install -pD -m644 contrib/dvdisaster48.png %buildroot%_liconsdir/dvdisaster.png
install -pD -m644 contrib/dvdisaster48.png %buildroot%_pixmapsdir/dvdisaster.png
install -pD -m644 %SOURCE1 %buildroot%_desktopdir/dvdisaster.desktop

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_pixmapsdir/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_desktopdir/*
%doc CHANGELOG CREDITS.en TODO
# Do not remove docs below - documentation accessed from GUI!
%doc documentation/en documentation/images
# file COPYING accessed from Help->License menu item in GUI, so we package it
%doc COPYING

%changelog
* Sat Mar 29 2008 Victor Forsyuk <force@altlinux.org> 0.70.6-alt1
- 0.70.6

* Fri Feb 29 2008 Victor Forsyuk <force@altlinux.org> 0.70.5-alt1
- 0.70.5

* Mon Feb 05 2007 Victor Forsyuk <force@altlinux.org> 0.70.4-alt1
- 0.70.4

* Tue Dec 12 2006 Victor Forsyuk <force@altlinux.org> 0.70.3-alt1
- 0.70.3

* Tue Oct 24 2006 Victor Forsyuk <force@altlinux.org> 0.70.2-alt1
- 0.70.2

* Fri Jul 28 2006 Victor Forsyuk <force@altlinux.ru> 0.70-alt1
- 0.70

* Wed Apr 05 2006 Victor Forsyuk <force@altlinux.ru> 0.66-alt1
- 0.66
- Refresh build requirements.

* Tue Jan 17 2006 Victor Forsyuk <force@altlinux.ru> 0.65-alt1
- 0.65
- Fixed GUI help items access.

* Fri Aug 26 2005 Victor Forsyuk <force@altlinux.ru> 0.63-alt1
- 0.63
- Build with NLS messages.

* Mon Jul 11 2005 Victor Forsyuk <force@altlinux.ru> 0.62-alt1
- 0.62

* Mon Apr 25 2005 Victor Forsyuk <force@altlinux.ru> 0.61-alt1
- 0.61

* Tue Apr 12 2005 Victor Forsyuk <force@altlinux.ru> 0.60-alt1
- Initial build for Sisyphus.
